View Single Post
Old 12-15-12, 06:21 AM   #1
giaur
Registered User
 
Join Date: Jan 2012
Posts: 8
Default Unable to compile kernel module on 3.7 kernel

I'm trying to compile module on 3.7 kernel, but without success. This is dkms make.log:

Code:
DKMS make.log for nvidia-313.09 for kernel 3.7-0.slh.3-aptosid-amd64 (x86_64)
Sat Dec 15 13:11:32 CET 2012
./conftest.sh: 1703: [: -le: unexpected operator
If you are using a Linux 2.4 kernel, please make sure
you either have configured kernel sources matching your
kernel or the correct set of kernel headers installed
on your system.

If you are using a Linux 2.6 kernel, please make sure
you have configured kernel sources matching your kernel
installed on your system. If you specified a separate
output directory using either the "KBUILD_OUTPUT" or
the "O" KBUILD parameter, make sure to specify this
directory with the SYSOUT environment variable or with
the equivalent nvidia-installer command line option.

Depending on where and how the kernel sources (or the
kernel headers) were installed, you may need to specify
their location with the SYSSRC environment variable or
the equivalent nvidia-installer command line option.

*** Unable to determine the target kernel version. ***

make: *** [select_makefile] Error 1
This is latest beta driver compilation log, the same if I use latest stable nvidia drivers. Everything works on 3.6 kernels. Is there any workaround?
giaur is offline   Reply With Quote